
Ruby - Bug #11272

cross compilation problem

06/17/2015 01:05 AM - akr (Akira Tanaka)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: r50924 Backport: 2.0.0: DONTNEED, 2.1: DONTNEED,

2.2: DONTNEED

Description

3月あたりから cross compile に失敗していることに気がつきました。

今日の結果はたとえば

http://www.rubyist.net/~akr/chkbuild/debian/crossruby-trunk-arm/log/20150616T185007Z.fail.html.gz

のようなもので、以下のように失敗しています。

generating enc.mk

./enc/make_encmake.rb:1:in `require': cannot load such file -- arm-linux-uclibcgnueabi-fake (LoadE

rror)

 失敗し始めたのは 3/7 のようです。

http://www.rubyist.net/~akr/chkbuild/debian/crossruby-trunk-arm/log/20150307T184111Z.diff.html.gz

Associated revisions

Revision 22eb2a4f90af5d927b41f80c88c7d9ae7a45f772 - 06/17/2015 11:59 AM - nobu (Nobuyoshi Nakada)

common.mk: needs fake.rb

common.mk (ENC_MK): needs fake.rb if cross compilation.

[ruby-dev:49098] [Bug #11272]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@50937 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 22eb2a4f - 06/17/2015 11:59 AM - nobu (Nobuyoshi Nakada)

common.mk: needs fake.rb

common.mk (ENC_MK): needs fake.rb if cross compilation.

[ruby-dev:49098] [Bug #11272]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@50937 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 06/17/2015 12:00 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset r50937.

common.mk: needs fake.rb

common.mk (ENC_MK): needs fake.rb if cross compilation.

[ruby-dev:49098] [Bug #11272]

#2 - 06/30/2015 03:27 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONTNEED
